linux服务器CyberPanel安装

CyberPanel的安装非常简单。安装必须以root用户身份运行(sudo无法工作)。

要求

Centos 7.x(推荐的最低版本)

Python 2.7

1024MB或以上Ram。

10GB磁盘空间。

CyberPanel VS CyberPanel Ent!

CyberPanel带有两个版本,一个简称为CyberPanel,另一个称为CyberPanel Ent。CyberPanel随附OpenLiteSpeed,并且对于不限数量的域和辅助进程完全免费。

但是CyberPanel Ent随LiteSpeed Web Server Enterprise一起提供,它对于1个域是免费的。如果您需要多个域,则可以在定价页面上查看定价  。

您可以了解有关OpenLiteSpeed与LiteSpeed Web Server Enterprise之间的区别的更多信息,   并确定最适合您的需求的内容。

安装完成后,CyberPanel和CyberPanel Ent在前端可以100%相同地工作,除了一个后端运行OpenLiteSpeed,另一个运行LiteSpeed Web Server Enterprise。

安装CyberPanel!

按照说明将安装CyberPanel(使用OpenLiteSpeed),它是完全免费的,不需要任何类型的许可证,您可以使用单个命令进行安装。

sh <(curl https://cyberpanel.net/install.sh || wget -O-https://cyberpanel.net/install.sh)

如果在您的平台上安装失败,则可以提交错误报告。

安装CyberPanel Ent!

要安装CyberPanel Ent,首先需要获取许可证密钥(1个域免费),但仍需要获取密钥。访问  定价表,确定您想要的计划。

获得许可证!

在运行安装之前,您需要获取许可证。在安装过程中将要求提供许可证密钥。

安装

在命令行终端上,以单个命令运行安装脚本:

sh < (curl https://cyberpanel.net/install.sh || wget -O- https ://cyberpanel.net/install.sh)

如果在您的平台上安装失败,则可以提交  错误报告。

访问

成功安装后,您可以使用以下详细信息访问CyberPanel(确保进行更改):

访问: 

https:<IP地址>:8090 

用户名:admin 

密码:1234567

在有效的SSL上设置CyberPanel。

安装后出现503错误

如果在安装CyberPanel后收到503错误,则可以执行以下操作之一。

1. 检查LSCPD状态。

systemctl状态lscpd

如果LSCPD没有运行,请使用以下命令启动LSCPD:

systemctl启动lscpd

2. 手动设置virtualevn

源/ usr / local / CyberCP / bin / activate

pip install –ignore-installed -r /usr/local/CyberCP/requirments.txt

停用

virtualenv –system-site-packages / usr / local / CyberCP

systemctl重新启动gunicorn.socket

3. 安装日志

如果在此之后您仍然遇到问题,可以尝试在安装日志中查找错误,这些错误位于:

/var/log/installLogs.txt

3. 提交错误报告

如果以上所有方法均失败,请提交  错误报告。